﻿<?php

$sql = '
CREATE TABLE IF NOT EXISTS '.$REX['TABLE_PREFIX']."calendar_".'events (
  `ID` int(11) unsigned NOT NULL auto_increment,
  `Datum` Date, 
  `Start` varchar(5) NOT NULL default \'\',
  `Ende` varchar(5) NOT NULL default \'\',
  `Titel` varchar(100) NOT NULL default \'\',
  `KategorieTitel` varchar(50) NOT NULL default \'\',
  `Beschreibung` text NOT NULL default \'\',
  `Image` varchar(50) NOT NULL default \'\',
  PRIMARY KEY  (`ID`)
)
';

$sql1 = '
CREATE TABLE IF NOT EXISTS '.$REX['TABLE_PREFIX']."calendar_".'categories (
  `ID` int(11) unsigned NOT NULL auto_increment,
  `Titel` varchar(50) NOT NULL default \'\',
  PRIMARY KEY  (`ID`)
)
';

if (!function_exists("is__writable")) {
	function is__writable($path)
	{
		if ($path{strlen($path)-1}=='/') // recursively return a temporary file path
			return is__writable($path.uniqid(mt_rand()).'.tmp');
		else if (is_dir($path))
			return is__writable($path.'/'.uniqid(mt_rand()).'.tmp');
		// check tmp file for read/write capabilities
		$rm = file_exists($path);
		$f = @fopen($path, 'a');
		if ($f===false)
			return false;
		fclose($f);
		if (!$rm)
			unlink($path);
		return true;
	}
	} // End function_exists 

$calendar_sqlConn = new rex_sql;
$calendar_sqlConn->setQuery($sql);
$calendar_sqlConn->setQuery($sql1);
$message="";
$filesDIR=$REX['HTDOCS_PATH'].'files/addons/calendar';
$filesSourceDIR=$REX['INCLUDE_PATH']. '/addons/calendar/calendar';
$filesImageDIR=$REX['HTDOCS_PATH'].'files/addons/calendar/images';
$filesImageSourceDIR=$REX['INCLUDE_PATH']. '/addons/calendar/calendar/images';
// Verzeichnisse files/addons/calendar anlegen
if ( !@is_dir($filesDIR) ) {
	if ( !@mkdir($filesDIR) ) {
		$message.= 'Fehler beim Erzeugen des Verzeichnisses '.$filesDIR.'<br>'	;
	}
}
// Verzeichnisse files/addons/calendar/images anlegen
if ( !@is_dir($filesImageDIR) ) {
	if ( !@mkdir($filesImageDIR) ) {
		$message.= 'Fehler beim Erzeugen des Verzeichnisses '.$filesImageDIR.'<br>';
	}
}

@chmod($filesDIR, 0755);
if (!is__writable($filesDIR.'/')) {
	$message.='Fehler beim Schreiben in Verzeichnis '.$filesDIR.'<br>';
}	
@chmod($filesImageDIR, 0755);
if (!is__writable($filesImageDIR.'/')) {
	$message.='Fehler beim Schreiben in Verzeichnis '.$filesImageDIR.'<br>';
}

// Dateien ins Verzeichnis files/addons/calendar kopieren
if ($dh = opendir($filesSourceDIR)) {
	while ($el = readdir($dh)) {
		$file2copy = $filesSourceDIR.'/'.$el;
		if ($el != '.' && $el != '..' && is_file($file2copy)) {
			if ( !@copy($file2copy, $filesDIR.'/'.$el) ) {
				$message.='Fehler beim Kopieren der Datei '.$el;
			}
		}
	}
} else {
	$message.='Fehler beim Lesern des Verzeichnisses '.$filesSourceDIR.'<br>';
}

// Dateien ins Verzeichnis files/addons/calendar/images kopieren
if ($dh = opendir($filesImageSourceDIR)) {
	while ($el = readdir($dh)) {
		$file2copy = $filesImageSourceDIR.'/'.$el;
		if ($el != '.' && $el != '..' && is_file($file2copy)) {
			if ( !@copy($file2copy, $filesImageDIR.'/'.$el) ) {
				$message.='Fehler beim Kopieren der Datei '.$el;
			}
		}
	}
} else {
	$message.='Fehler beim Lesern des Verzeichnisses '.$filesImageSourceDIR.'<br>';
}

echo $message;
$REX['ADDON']['install']['calendar'] = 1;

?>